### Constructor

# Gimp ColorProfile new_from_icc_profile

since: 2.10

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_from_icc_profile (
      const guint8* data,
      gsize length,
      GError** error
    )

#### Description [src]

This function opens an ICC color profile from memory. On error, `NULL` is returned and `error` is set.

Available since: 2.10

#### Parameters

`data`

  Type: An array of `guint8`

  The memory containing an ICC profile.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the function.

`length`

  Type: `gsize`

  Length of the profile in memory, in bytes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpColorProfile`

The `GimpColorProfile`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.